帝国CMS全新安装后台出错Warning: Cannot modify header

帝国CMS全新安装出现 Cannot modify header information headers already sent

帝国cms(ECMS)安装提示Warning: arning: Cannot modify header information - headers already sent by (output started at /mnt/w0613/d23/s38/b031f440/xxx.com/e/enews/index.php:1) in /mnt/w0613/d23/s38/b031f440/xxx.com/e/class/connect.php on line 97

ECMS安装报错解决方法1:

dont:utf-8版不能用记录本修改文件,不然会将文件转成gbk编码

问题二 Warning: Cannot modify header information - headers already sent by (output started at /mnt/w0613/d23/s38/b031f440/www.xxx.com/e/trylife/Mail/FeedMail.php:1) in /mnt/w0613/d23/s38/b031f440/www.xxx.com/e/class/connect.php on line 9

ECMS安装报错解决方法2:
如果使用utf-8编码,一定要去掉UTF-8中的BOM,这都是因为utf-8编码文件含有的bom原因,而php4,5都是不支持bom的。去掉bom,可以用Notepad++或者EmEditor文本编辑器打开转换一下。

当你采用UTF-8格式作为网页编码时,如果发现网页在不同浏览器中外观表现不同,比如在Firefox中正常显示,但是在IE浏览器中出现多余的本不该出现的空行(通常在网页头部);此时你应该怀疑是BOM(Byte-Order Mark )在作祟了。当然,本文的前提是你的HTML和CSS代码均正确无疑。

网络推广经验,欢迎分享:广州SEO,移动互联网推广 » 帝国CMS全新安装后台出错Warning: Cannot modify header

赞 (0) 打赏

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏